# Cloudtips SDK for iOS 

Cloudtips SDK позволяет интегрировать прием чаевых в мобильные приложение для платформы iOS.

### Требования
Для работы Cloudtips SDK необходим iOS версии 12.0 и выше.

### Подключение

#### Swift Package Manager
https://gitpub.cloudpayments.ru/integrations/sdk/cloudtips-ios

### Структура проекта:

* **demo** - Пример реализации приложения с использованием SDK
* **Frameworks** - Двоичные библиотеки, необходимые для работы SDK

## Инициализация CloudtipsSDK

Для доступности TPay в Info.plist файле добавьте:

```
<key>LSApplicationQueriesSchemes</key>
<array>
	<string>bank100000000004</string>
</array>
```

### Использование

1) Создайте объект CloudtipsUser, передайте в него 
- layoutId: LayoutID, 
- sum: сумму чека, если она известна, либо nil.
- amount: величина чаевых по умолчанию, либо nil.
- invoiceId: ID счета, если он известен, либо nil.

```
let user = CloudtipsUser(layoutId: 1234567, sum: 2000, amount: 300, invoiceId: "123456")

let configuration = CloudtipsConfiguration(user: user,
    applePayMerchantId: "merchant.ru.cloudpayments",
    style: nil,
    delegate: self, 
    testMode: false) // влияет на показ капчи (false - продакшен, true - тестовая) 
    
    
extension ViewController: TipsDelegate {
    func onTipsSuccessed() {
        print("Чаевые получены")
    }
    
    func onTipsCancelled() {
        print("Пользователь закрыл форму")
    }
}

```

2) Для возможности оплаты с Apple Pay передайте в конфигурацию ваш Apple Pay merchant id.

```
applePayMerchantId
```

3) Вызовите CloudtipsViewController внутри вашего контроллера

```
Cloudtips.instance.show(with: configuration, from: self)
```

### Поддержка

По возникающим вопросам техничечкого характера обращайтесь на support@cp.ru
